Update Email Design System
PATCH
/api/v1/workspaces/{workspace_id}/email_design_systems/{id}
const url = 'https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/email_design_systems/1';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","description":"example","require_brand_profile_for_use":true,"archived":true,"access_scope":"all_workspaces","design_tokens":{"primary_button_color":"#007bff","secondary_button_color":"#6c757d"},"custom_styles":[{"style":"background-color: yellow; font-weight: bold;","name":"highlight","label":"Highlight"}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://example.com/%7B%7Bapp_url%7D/api/v1/workspaces/1/email_design_systems/1 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "description": "example", "require_brand_profile_for_use": true, "archived": true, "access_scope": "all_workspaces", "design_tokens": { "primary_button_color": "#007bff", "secondary_button_color": "#6c757d" }, "custom_styles": [ { "style": "background-color: yellow; font-weight: bold;", "name": "highlight", "label": "Highlight" } ] }'Updates an email design system.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace_id
required
integer
Workspace ID
id
required
integer
Email Design System ID
Request Body
Section titled “Request Body”Media typeapplication/json
object
name
string
description
string
require_brand_profile_for_use
boolean
archived
boolean
access_scope
string
design_tokens
object
key
additional properties
any
Example
{ "primary_button_color": "#007bff", "secondary_button_color": "#6c757d"}custom_styles
Array<object>
object
style
required
string
Example
background-color: yellow; font-weight: bold;name
required
string
Example
highlightlabel
required
string
Example
HighlightResponses
Section titled “Responses”Successful
Media typeapplication/json
object
id
required
integer
name
required
string
description
string
created_at
required
string format: date-time
updated_at
string format: date-time
organization_id
required
integer
workspace_id
required
integer
screenshot_url
required
string
upload_status
required
string
require_brand_profile_for_use
required
boolean
archived
required
boolean
design_tokens
required
object
key
additional properties
any
access_scope
required
string
custom_styles
required
Array<object>
object
style
required
string
name
required
string
label
required
string
Example
{ "id": 12345, "name": "My Email Design System", "description": "My Email Design System", "created_at": "2023-08-23T10:30:00.000Z", "updated_at": "2023-08-23T10:30:00.000Z", "organization_id": 12345, "workspace_id": 12345, "screenshot_url": "https://www.example.com/screenshot.png", "upload_status": "ready", "require_brand_profile_for_use": false, "archived": false, "design_tokens": { "primary_button_color": "#007bff", "secondary_button_color": "#6c757d" }, "access_scope": "all_workspaces", "custom_styles": [ { "style": "background-color: yellow; font-weight: bold;", "name": "highlight", "label": "Highlight" } ]}Unauthorized
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}Forbidden
Media typeapplication/json
object
message
required
string
Example
{ "message": "Record not found"}Unprocessable Entity
Media typeapplication/json
object
message
required
string
errors
required
object
key
additional properties
Array<string>
Example
{ "errors": { "username": [ "Username is required.", "Username must be unique." ], "email": [ "Invalid email format." ] }}